Use Redis for caching
Closed, DeclinedPublic

Description

wmflabs offers a Redis cluster for caching purposes. We should use it instead of the local cache, as it is multi process safe and keeps caches over restarts.

Redis Homepage: http://redis.io/
Redox as C++ library: https://github.com/hmartiro/redox
Redis on WMFLabs: https://wikitech.wikimedia.org/wiki/Help:Tool_Labs#Redis

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 14 2016, 1:04 PM
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Dec 22 2017, 4:54 PM
Hjfocs closed this task as Declined.May 23 2018, 2:16 PM
Hjfocs moved this task from To do to Done on the Wikidata-primary-sources board.
Hjfocs added a subscriber: Hjfocs.

Related to version 1.
Version 2 implements its caching mechanism.